# Class GroupItem

物理分组数据

#### Hierarchy

- GroupItem

- Defined in assets/core/utils/PhysicsUtil.ts:10

#####
Index

### Constructors

constructor

### Properties

_name
_value

### Accessors

mask
name
value

## Constructors

### constructor

- new GroupItem(value: number, name: string): GroupItem

- 构造函数

  #### Parameters

  - ##### value: number

    分组值

  - ##### name: string

    分组名

  #### Returns GroupItem

  - Defined in assets/core/utils/PhysicsUtil.ts:33

## Properties

### `Private` _name

_name: string

- Defined in assets/core/utils/PhysicsUtil.ts:17

### `Private` _value

_value: number

- Defined in assets/core/utils/PhysicsUtil.ts:11

## Accessors

### mask

- get mask(): number

- 碰撞掩码

  #### Returns number

  - Defined in assets/core/utils/PhysicsUtil.ts:24

### name

- get name(): string

- 分组名

  #### Returns string

  - Defined in assets/core/utils/PhysicsUtil.ts:19

### value

- get value(): number

- 分组值

  #### Returns number

  - Defined in assets/core/utils/PhysicsUtil.ts:13

Generated using TypeDoc